FLATPAK SEARCH(1)

NAME
flatpak-search - Search for applications and runtimes

SYNOPSIS

flatpak search TEXT

DESCRIPTION

Searches for applications and runtimes matching TEXT. Note that this uses appstream data that can be updated with the flatpak update command. The appstream data is updated automatically only if it's at least a day old.

OPTIONS

The following options are understood:

-u, --user
    Only search through remotes in the per-user installation.

--system
    Only search through remotes in the default system-wide installation.

--installation=NAME
    Show a system-wide installation by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

-h, --help
    Show help options and exit.

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

--columns=FIELD,...
    Specify what information to show about each result. You can list multiple fields, or use this option multiple times.

    Append :s[tart], :m[iddle], :e[nd] or :f[ull] to column names to change ellipsization.

FIELDS

The following fields are understood by the --columns option:

name
    Show the name

description
    Show the description

application
    Show the application ID

version
    Show the version

branch
    Show the branch

remotes
    Show the remotes

all
    Show all columns

help
    Show the list of available columns

Note that field names can be abbreviated to a unique prefix.

SEE ALSO

flatpak(1)